Joinable (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.entity
Interface Joinable

All Known Subinterfaces:
  OuterJoinLoadable, Queryable, QueryableCollection, SQLLoadableCollection

All Known Implementing Classes:
  AbstractCollectionPersister, AbstractEntityPersister, BasicCollectionPersister, JoinedSubclassEntityPersister, OneToManyPersister, SingleTableEntityPersister, UnionSubclassEntityPersister

    public interface Joinable

Anything that can be loaded by outer join - namely persisters for classes or collections.

Method Summary
`boolean` | `consumesCollectionAlias()` Very, very, very ugly...
`boolean` | `consumesEntityAlias()` Very, very, very ugly...
`String` | `filterFragment(String alias, Map enabledFilters)` Get the where clause filter, given a query alias and considering enabled session filters
`String` | `fromJoinFragment(String alias, boolean innerJoin, boolean includeSubclasses)` Get the from clause part of any joins (optional operation)
`String[]` | `getKeyColumnNames()` The columns to join on
`String` | `getName()` An identifying name; a class name or collection role name.
`String` | `getTableName()` The table to join to.
`boolean` | `isCollection()` Is this instance actually a CollectionPersister?
`String` | `oneToManyFilterFragment(String alias)`
`String` | `selectFragment(Joinable rhs, String rhsAlias, String lhsAlias, String currentEntitySuffix, String currentCollectionSuffix, boolean includeCollectionColumns)` All columns to select, when loading.
`String` | `whereJoinFragment(String alias, boolean innerJoin, boolean includeSubclasses)` Get the where clause part of any joins (optional operation)

Method Detail

### getName

    String getName()

  An identifying name; a class name or collection role name.

### getTableName

    String getTableName()

  The table to join to.

### selectFragment

    String selectFragment(Joinable rhs,
                          String rhsAlias,
                          String lhsAlias,
                          String currentEntitySuffix,
                          String currentCollectionSuffix,
                          boolean includeCollectionColumns)

  All columns to select, when loading.

### whereJoinFragment

    String whereJoinFragment(String alias,
                             boolean innerJoin,
                             boolean includeSubclasses)

  Get the where clause part of any joins (optional operation)

### fromJoinFragment

    String fromJoinFragment(String alias,
                            boolean innerJoin,
                            boolean includeSubclasses)

  Get the from clause part of any joins (optional operation)

### getKeyColumnNames

    String[] getKeyColumnNames()

  The columns to join on

### filterFragment

    String filterFragment(String alias,
                          Map enabledFilters)
                          throws MappingException

  Get the where clause filter, given a query alias and considering enabled session filters

  Throws:
    `MappingException`

### oneToManyFilterFragment

    String oneToManyFilterFragment(String alias)
                                   throws MappingException

  Throws:
    `MappingException`

### isCollection

    boolean isCollection()

  Is this instance actually a CollectionPersister?

### consumesEntityAlias

    boolean consumesEntityAlias()

  Very, very, very ugly...

  Returns:
    Does this persister "consume" entity column aliases in the result set?

### consumesCollectionAlias

    boolean consumesCollectionAlias()

  Very, very, very ugly...

  Returns:
    Does this persister "consume" collection column aliases in the result set?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.